<?php
session_start();/**************************************************صفحة البحث بالاجاكس*******************************************************************/


//استدعاء ملف الاعدادات
$conc_type='cp_exec_conc';
include '../conf.php';
include '../conf_sub.php';
//استدعاء ملف الاتصال بقاعدة البيانات
//include $cp_exec_conc;
include("encrypt.php");

//استدعاء ملف معالجة الحقن
include("../injection.php");

//ضمان توافق قاعدة البيانات مع اللغة العربية
mysqli_query($conn,"SET NAMES 'utf8'");
mysqli_query($conn,'SET CHARACTER SET utf8');
mysqli_query($conn,"SET character_set_client=utf8");
mysqli_query($conn,"SET character_set_connection=utf8");
mysqli_query($conn,"SET character_set_database=utf8");
mysqli_query($conn,"SET character_set_results=utf8");
mysqli_query($conn,"SET character_set_server=utf8");
mysqli_query($conn," set character_set_server='utf8'");
//ايقاف التنفيذ فى حالة عدم تسجيل الدخول
if(!isset($_SESSION[$domain.'_user']) || $_SESSION[$domain.'_user']==""){die;}


// معالجة حقن المتغيرات
injection($_POST['search']);
is_num($_POST['is_multi']);

/*  اسم الجدول وبداية الكويرى */  
$table=decrypt_adv($_POST['table']);

/*  اسم الجدول وبداية الكويرى */  
$table=explode(',',$table); // فى حالة ان الحقل فورن كى لجدول

/*  اسم الجدول وبداية الكويرى */  
$table=$table[0];


// كلمة البحث
$search=$_POST['search'];
$expt=trim($_POST['expt'],",");
$is_multi=$_POST['is_multi'];
$search_options=$_POST['search_options'];
$search_fields_values='';
$search_options_count='';


if($search_options!=""){// فى حالة انه لا يوجد حقول اضافية للبحث فيها فى حقل نوع العمود
$search_options=decrypt_adv($_POST['search_options']);
$search_options=explode(',',$search_options);


for($i=0;$i<count($search_options);$i++){
$table;
$search_fields_values=explode('|',$search_options[$i]);
$search_options_count.=" and $search_fields_values[0] IN (".decrypt_adv($_SESSION[$search_fields_values[1]]).") ";	
}
}

$query="";
if($expt=='' || $expt==' ' || $expt=='  ' || $is_multi=="0" ){
//بداية الاستعلام
$query="select id,title from $table where (title like'%$_POST[search]%' || code like'%$_POST[search]%') $search_options_count order by id " ;
	
}else{
//بداية الاستعلام
$query="select id,title from $table where (title like'%$_POST[search]%' || code like'%$_POST[search]%' ) and id NOT IN($expt) $search_options_count  order by id " ;
	
}

echo $search_options;

//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);	
?>

<?php

   /*بداية التكرار */  
 while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch);?>
<option  value="<?php echo $fetch['id']?>" ><?php echo $fetch['title']  ?></option>
<?php }

?>